
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>JDBC PreparedStatement 批量查询 in 的实现 方案 / iVAN</title>

    <meta name="description" content="JDBC PreparedStatement 批量查询 in 的实现 方案     我们经常会有这种业务需求,根据一个条件集合去查询一张表的数据,比如: select * from all_element t where t.task_id in (List &lt;taskids&gt;);     在java语言中,我们需要用到JDBC来和数据库打交道,那么在JDBC中该如何处理这种需求呢?我们可以有如下几种处理方式 方案一:写一个函数把参数集合转换成一个or 条件 或 in 条件的字符串,最后拼成一个sql select * from all_element t  ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">JDBC PreparedStatement 批量查询 in 的实现 方案</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong></strong></p>
<p>    我们经常会有这种业务需求，根据一个条件集合去查询一张表的数据，比如：</p>
<p>select * from all_element<br />
 t where t.task_id in (List &lt;taskids&gt;);</p>
<p>    在java语言中，我们需要用到JDBC来和数据库打交道，那么在JDBC中该如何处理这种需求呢？我们可以有如下几种处理方式</p>
<p><strong>方案一：写一个函数把参数集合转换成一个or 条件<br />
 或 in 条件的字符串，最后拼成一个sql</strong></p>
<p><strong><br /></strong></p>
<p>select * from all_element<br />
 t where t.task_id in (123 ,456, 789);</p>
<p>或者是：</p>
<p>select * from all_element<br />
 t where t.task_id=123 or t.task_id= 456 t.task_id= 789;</p>
<p>    但是这样效率如何呢？我们知道Oracle对传过来的SQL是需要事先编译的，不过是Oracle有个缓存功能可以缓存编译好的SQL,但前提是传过来的SQL必须完全一致，很明显，如果按照以上方式的话，一旦taskid值变化，那么Oracle的缓存便无法利用。</p>
<p><strong>方案二：使用预编译的PrepareStatement</strong></p>
<p><strong><br /></strong></p>
<p>    为了解决Oracle缓存无法利用问题，Jdbc提供了预编译的PrepareStatement，对于变化的参数可以用占位符<br />
 &lt;?&gt; 来代替，因此我们可以用占位符来减少Oracle编译次数。</p>
<p>        <strong>private</strong> <strong>static</strong> <strong>final</strong> String <u>QUERY</u> = "select<br />
 * from all_element where taskId = ?";</p>
<p>          <u>ps</u> = <u>con</u> .prepareStatement(QUERY);</p>
<p>          <strong>for</strong>(String taskId : <u>taskIds</u>){</p>
<p>             <u>ps</u>.setInt(1, taskId);</p>
<p>             <u>rs</u> = <u>ps</u> .executeQuery();</p>
<p>          }</p>
<p>    这样做虽然可以很好的利用Oracle的缓存，但缺点也很明显，就是每一个Id都需要查询数据库一次，这样效率是极低的。</p>
<p><strong>方案三：动态地创建PrepareStatement</strong></p>
<p>    虽然变化的参数可以用占位符 &lt;?&gt; 来代替,然而遗憾的是Jdbc只提供了单一占位符功能即占位符不能是一个可迭代的集合。因此，对于我们传过来的集合参数，我们可以动态地创建一个PrepareStatement：</p>
<p>    拼一个和集合大小相等数量占位符的SQL，再写一个循环来赋值每一个占位符，这样就可以解决taskId的值变化而导致Oracle重新编译SQL问题。</p>
<p>    <strong>private</strong> <strong>static</strong> <strong>void</strong> createQuery(List&lt;String&gt;<br />
 taskIds) {</p>
<p>          String query = "select * from all_element t where t.task_id in (";</p>
<p>          StringBuilder queryBuilder = <strong>new</strong> StringBuilder(query);</p>
<p>           <strong>for</strong> ( <strong>int</strong> i<br />
 = 0; i &lt; taskIds.size(); i++) {</p>
<p>              queryBuilder.append( " ?");</p>
<p>               <strong>if</strong> (i != taskIds.size() - 1)</p>
<p>                   queryBuilder.append( ",");</p>
<p>          }</p>
<p>          queryBuilder.append( ")");</p>
<p>           <u>ps</u> = <u>con</u> .prepareStatement(query);</p>
<p>           <strong>for</strong> ( <strong>int</strong> i<br />
 = 1; i &lt;= taskIds.size(); i++) {</p>
<p>               <u>ps</u>.setInt(i, taskIds.get(i - 1));</p>
<p>          }</p>
<p>           <u>rs</u> = <u>ps</u> .executeQuery();</p>
<p>     }</p>
<p>    但是这么做还是存在一个问题，如果集合的值变化不会导致Oracle重新编译，但是如果集合的大小发生变化，相对应的SQL也就发生了变化，同样也会导致Oracle重新编译，那么该如何解决这个问题呢？</p>
<p><strong>方案四：批量查询（减少查询次数并利用到Oracle缓存）</strong></p>
<p>    批量查询兼顾了第二、第三种方案，其思想是预先定义好几个每次要查询参数的个数，然后把参数集合按这些定义好的值划分成小组。比如我们的前台传过来一个数量为75的taskId的集合，我预定义的批量查询参数的个数分别为：</p>
<p>    <em>SINGLE_BATCH</em> = 1;//注意：为了把参数集合完整划分，这个值为1的批量数是必须的</p>
<p>    <em>SMALL_BATCH</em> = 4;</p>
<p>    <em>MEDIUM_BATCH</em> = 11;</p>
<p>    <em>LARGE_BATCH</em> = 51;</p>
<p>    那么我们第一次会查询51条数据，还剩下24个没有查询，那么第二次批量查询11条数据，还剩下13条未查询，第三次再批量查询11条数据，最后还剩2条未查询，那么我们再分两批次，每批次仅查询一条，这样，最终一个75条的数据分5批次即可查询完成，减少了查询次数，而且还利用到了数据库缓存。附获取批量的算法：</p>
<p>     <strong>public</strong> <strong>static</strong> <strong>final</strong> <strong>int</strong> <em>SINGLE_BATCH</em> =<br />
 1; //注意：为了把参数集合完整划分，这个值为1的批量数是必须的</p>
<p>      <strong>public</strong> <strong>static</strong> <strong>final</strong> <strong>int</strong> <em>SMALL_BATCH</em> =<br />
 4;</p>
<p>      <strong>public</strong> <strong>static</strong> <strong>final</strong> <strong>int</strong> <em>MEDIUM_BATCH</em> =<br />
 11;</p>
<p>      <strong>public</strong> <strong>static</strong> <strong>final</strong> <strong>int</strong> <em>LARGE_BATCH</em> =<br />
 51;</p>
<p>      <strong>static</strong> <strong>int</strong> <em>totalNumberOfValuesLeftToBatch</em>=75;</p>
<p>      <strong>public</strong> <strong>static</strong> List&lt;Integer&gt; <br />
 getBatchSize( <strong>int</strong> totalNumberOfValuesLeftToBatch){</p>
<p>          List&lt;Integer&gt; batches= <strong>new</strong> ArrayList&lt;Integer&gt;();</p>
<p>           <strong>while</strong> ( totalNumberOfValuesLeftToBatch &gt; 0 ) {</p>
<p>               <strong>int</strong> batchSize = <em>SINGLE_BATCH</em>;</p>
<p>               <strong>if</strong> ( totalNumberOfValuesLeftToBatch &gt;= <em>LARGE_BATCH</em> )<br />
 {</p>
<p>                batchSize = <em>LARGE_BATCH</em>;</p>
<p>              } <strong>else</strong> <strong>if</strong> (<br />
 totalNumberOfValuesLeftToBatch &gt;= <em>MEDIUM_BATCH</em> ) {</p>
<p>                batchSize = <em>MEDIUM_BATCH</em>;</p>
<p>              } <strong>else</strong> <strong>if</strong> (<br />
 totalNumberOfValuesLeftToBatch &gt;= <em>SMALL_BATCH</em> ) {</p>
<p>                batchSize = <em>SMALL_BATCH</em>;</p>
<p>              }</p>
<p>              batches.add(batchSize);</p>
<p>              totalNumberOfValuesLeftToBatch -= batchSize;</p>
<p>              System. <em>out</em>.println(batchSize);</p>
<p>          }</p>
<p>           <strong>return</strong> batches;</p>
<p>     }</p>
<p>  </p>
<p><em></em></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 07:41:38</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>JDBC PreparedStatement 批量查询 in 的实现 方案的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL7OG8M.html" rel="bookmark">jdbc preparedstatement允许输入的查询字符有哪些？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 现在做的这个查询时模糊查询,在前端页面查询输入框中输入&quot;%&quot;,查询出所有数据,输入&quot;'&quot;后台就报错了,以前没有这样试过,谁知道jdbc preparedstatement允许输入的查询字符有哪些?有点纠结-- 解决方案 典型的SQL注入问题,不要用+去拼SQL的条件,用查询变量?去做查询条件解决方案二:这个应该与preparedstatement没多大关系吧,应该跟具体的数据库实现有关系.另外对于前段传给后台的特殊字符最好encode下			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXw3xlM.html" rel="bookmark">批量查询用户状态在线的问题&quest;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 1.因为群或者聊天室人数的限制,导致我需要从群或者聊天室删除不在线的用户,但环信这边没有批量查询用户状态的接口,我想问一下这个事情有没有好的解决方案,因为单个查询用户接口,有ip每秒30次调用接口的限制,求解决,求方案. 解决方案 只有单个判断是否在线的,可以自己写循环,或者提升每秒30次的限制解决方案二:查询用户在线状态就只有rest  api 这个接口可以查询.http://docs.easemob.com/start/100serverintegration/20usersip每			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgJ7r6b.html" rel="bookmark">备库批量查询失败的原因分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目前线上有一套环境是10gR2的,采用了一主两备的架构.在其中一个备库上每天凌晨会开放一个窗口运行一些批量的查询,目前使用dg broker会在指定的时间把备库置为read-only,查询完毕之后修改为online状态.但是近几天开发的同事突然找到我说,最近几天开始批量查询会频频报错,希望我帮忙查看一下.语句运行报错,听起来原因应该很简单吧,最大的可能就是备库没有打开,或者是ddl,dml语句之类的.但是看到错误日志,让我着实有些奇怪.错误日志如下,可以看到是一条查询语句. [2016.03.0			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMljvqz.html" rel="bookmark">实战 Eclipse &comma;Jigloo&comma; PostgreSQL&comma;JDBC 开发数据库查询应用系统起步</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数据|数据库 实战 Eclipse ,Jigloo, PostgreSQL,JDBC 开发数据库查询应用系统起步 1 安装 Eclipse笔者用的GNU/Linux先从 下载了些GTK+相关的包编译安装之后,到Eclipse主页上 找到了Linux下GTK的 Eclipse安装文件 2 .插件笔者安装了两个插件一个是GUI设计工具 jigloo,主页:http://cloudgarden.com/jigloo/ 一个是打包工具 fat jar exporterhttp://fjep.source			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpng4Oz.html" rel="bookmark">如何批量查询PR值、百度权重、百度快照及收录量</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				批量查询数据是我们经常需要用到的,但是目前没有一个网站提供了这样的查询功能.如果我们要购买一批网站的外链的时候,查询这样的数据更具迫切性.那么到底有没有网站能批量地查询到这些数据呢?个人发现了一个,在这里分享给大家. 第一步,大家打开爱站网,里面有个友链检查.   第二步,点开手动输入友情链接网址   第三步,把要查询的网址列表输入到输入框里   点击查询即可.我们可以把对方回链不要选中,然后只查询这些站点的PR值,百度收录.快照.权重等信息.这样就能达到批量查询的效果了.这个本来是查询是否有回			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOwGdxz.html" rel="bookmark">MySQL分表实现上百万上千万记录分布存储的批量查询设计模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们知道可以将一个海量记录的 MySQL 大表根据主键.时间字段,条件字段等分成若干个表甚至保存在若干服务器中. 唯一的问题就是跨服务器批量查询麻烦,只能通过应用程序来解决.谈谈在Java中的解决思路.其他语言原理类似. 这里说的分表不是 MySQL 5.1 的 partition,而是人为把一个表分开存在若干表或不同的服务器. 1. 应用程序级别实现 见示意图 SelectThreadManager 分表数据查询管理器 它为分表的每个database or server 建立一个 thread			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNEeZob.html" rel="bookmark">php 批量查询搜狗sogou代码分享</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  本文给大家分享的是使用php实现批量查询搜狗的实例代码,非常的简单实用,有需要的小伙伴可以参考下. php 批量查询搜狗sogou的rank,非常不错,主要是使用了php的file_get_contents()方法. ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 &lt;?php date_default_timezone_set('Asia/Shanghai'); header('Content-Type: text/html; cha			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVney4z.html" rel="bookmark">PHP批量查询WordPress留言者E-mail地址实现方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了PHP批量查询WordPress留言者E-mail地址实现方法,本文直接给出实现代码,需要的朋友可以参考下     今天收到了很多Bloger朋友的E-mail拜年短信,嘿嘿,感觉很好玩,可是他们是如何实现的这个呢,很简单的,可是简单的分为两步: 1)通过SQL查询获取E-mail地址 2)通过某种方法群发E-mail 对于1,几行PHP代码可以解决: 代码如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transiti			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj7OknM.html" rel="bookmark">php&plus;mysqli批量查询多张表数据的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了php+mysqli批量查询多张表数据的方法,涉及multi_query.store_result及more_results等函数的使用技巧,需要的朋友可以参考下 本文实例讲述了php+mysqli批量查询多张表数据的方法.分享给大家供大家参考.具体实现方法如下: 注意这里使用到了两个新的函数multi_query与store_result,具体代码如下: 代码如下: &lt;?php //1.创建数据库连接对象 $mysqli = new MySQLi(&quot;localhost			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9Mx6qRz.html" rel="bookmark" class="title">&lbrack;译&rsqb;CSS的十大密技</a>
					<div>
						css 在某blog看到一篇关于css的文章,觉得还挺有用的,大致译了一下,译文和原文如下,如果有译得不正确的地方或是对类似问题有其他更好地解决办法的,请不吝赐教! 译文: 1.css 字体简写规则  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOEN8M.html" rel="bookmark" class="title">百度对于重复性太高的文章给予了剔除？</a>
					<div>
						百度算法一直在变?的确是,以前发现重复度太高的内容不收录,只是针对那些权重比较低的网站,而现在发现一些高权重的网站采集了太多相同的文章,百度也同样不放出来.对于网站收录是我一直比较关注的事情,因为不管 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXXWyp.html" rel="bookmark" class="title">网页布局的9个建议</a>
					<div>
						相关文章:网页内容页面制作的9个实用建议 网页页面设计的4个实用建议 布局 1.别轻易让文字居中和使用粗体或斜体字符. 2.利用短的段落,加点列示,适当的整块引用文字,用水平线分节,用影像地图指引主要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8qE3z.html" rel="bookmark" class="title">一位网站被百度K站150天站长的心路历程</a>
					<div>
						自2012年6月底以来,百度持续更换算法和K站,让无数的站长们陷入了挣扎和难以维继的状态.网站被K导致流量骤减,网民的认可度降低.虽然,有些网站不完全依靠百度带来的流量,但是,一旦网站被K仍然会对网站 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMREe3b.html" rel="bookmark" class="title">贞操网：当炒作横行 SEO就成浮云？</a>
					<div>
						这段时间网上炒的很火的一个网站:贞操网,笔者随便百度下就能看到铺天盖地的新闻.至于事件的始末笔者就不在这啰嗦了,笔者想说的是网络炒作的影响太大了,也很迅速.看看百度的下拉框就知道了:   其实利用网络 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRBaxM.html" rel="bookmark" class="title">新站上线不可心急 一切变化皆有可能</a>
					<div>
						做网站有一段时间了,从中也有一些不小的收获,面对新上线的网站,很多站长抱有很强的期待,反而不能让一个网站很好的发展,因为有那句话:希望越大,失望越大;刚开始或许信心满满,每天都能够按时的去更新文章,发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PKj6M.html" rel="bookmark" class="title">两招解决Win8不能上网</a>
					<div>
						第一是获取自己网卡的驱动,第二是卸载Win8自动安装的驱动并重新安装自己下载好的驱动. 获取自己的电脑网卡驱动有两个办法: 在Win8的控制面板--声音和硬件--设备管理器--网络适配器下面的那个项目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOw6a3z.html" rel="bookmark" class="title">PS手把手教你绘制一个春意盎然的字体效果</a>
					<div>
						  编者按:南方已经入夏,不过不妨碍是@DearSalt 同学这篇生机勃勃的字体教程.教程是小哥原创,截图清晰,步骤明了,简单好上手,非常值得新手练习 &gt;&gt;&gt; 哈喽,大家好,偶是桂桂 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNDmlb.html" rel="bookmark" class="title">wps怎么在文字上加拼音</a>
					<div>
						  1.首先我们打开wps,然后我们输入要加拼音的文字 2.选定文文字,然后点击开始菜单中的&quot;拼音指南&quot;工具 3.在弹出的对话框中我们点击&quot;确定&quot;即可 4.然后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN17ryb.html" rel="bookmark" class="title">win7系统桌面右下角弹出qq弹窗广告如何屏蔽</a>
					<div>
						  具体设置方法如下: 1.点击打开360安全卫士,然后点击右下角的&quot;更多&quot;; 2.切换到&quot;全部工具&quot;,找到并点击打开&quot;弹窗拦截&quot;; 3.打 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKgB9M.html" rel="bookmark" class="title">Photoshop制作一辆汽车爆炸的效果</a>
					<div>
						  Photoshop制作一辆汽车爆炸的效果               注:更多精彩教程请关注三联photoshop教程栏目,三联PS群:75789345欢迎你的加入 分类: PS入门教程					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZOxqz.html" rel="bookmark" class="title">如何在Windows 7下禁用DirectDraw</a>
					<div>
						放时出现的截图变黑问题,一般有两个方法可以用来解决,一个方法是用两个不同的播放器,同时打开同一个文件;另一个方法是禁用DirectDraw. 在本文中,您将了解到到如下内容: 问题视频截图后,图片是黑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXwQXp.html" rel="bookmark" class="title">Win7有哪些启动项</a>
					<div>
						  我们知道,Windows中有自带的启动文件夹,它是最常见的启动项目,但很多人却很少注意仔细检查它.如果把程序装入到这个文件夹中,系统启动就会自动地加载相应程序,而且因为它是暴露在外的,所以非常容易 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAJXvM.html" rel="bookmark" class="title">php-PHP模拟用户登录模块设计</a>
					<div>
						问题描述 PHP模拟用户登录模块设计 初学者,遇到下面问题,求帮助! 1.模拟用户登录模块,具体要求如下: (1).创建一个用户登录的表单页面. (2).对用户输入的信息进行二次验证,即在客户端进行输 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNanlz.html" rel="bookmark" class="title">IOS开发之音频--录音</a>
					<div>
						前言:本篇介绍录音.   关于录音,这里提供更为详细的讲解网址:http://www.cnblogs.com/kenshincui/p/4186022.html#audioRecord  ,并且该博客 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boR4yvz.html" rel="bookmark" class="title">LMAX架构</a>
					<div>
						原文地址:http://martinfowler.com/articles/lmax.html 作者:Martin Fowler 译文地址:http://www.jdon.com/42452 译者:b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lKedb.html" rel="bookmark" class="title">搜索引擎用户地区分布</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 据上海艾瑞市场咨询公司所作&lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2Oeqb.html" rel="bookmark" class="title">mysql-使用MYSQL实现oracle start with connect by递归树查询</a>
					<div>
						问题描述 使用MYSQL实现oracle start with connect by递归树查询 代码如下,如何修改,感谢 DELETE FROM SFL_YWZYFL WHERE YWZYFL_ID  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWLynz.html" rel="bookmark" class="title">一道小题（3）</a>
					<div>
						#include&lt;stdio.h&gt; void main() { int a = 47; printf(&quot;%d&quot;, printf(&quot;%d&quot;, prin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2R6Bqb.html" rel="bookmark" class="title">高分求解　清除页面Cookies问题</a>
					<div>
						问题描述 登陆的时候,写入Cookies,但没有设置过期时间,即关闭浏览器失效.但在退出的时候,却一直也无法清空Cookies附清除代码://HttpContext.Current.Response. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKDVnb.html" rel="bookmark" class="title">crontab无法执行php的解决方法&lowbar;php技巧</a>
					<div>
						本文分析了crontab无法执行php的解决方法.分享给大家供大家参考,具体如下: 用crontab跑php程序时,如何去调试,各人有各人的方法.我也有套方法,看一下,我是如何解决crontab执行不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAD3nM.html" rel="bookmark" class="title">推荐 10 款最好的 Python IDE</a>
					<div>
						简述 Python 非常易学,强大的编程语言.Python 包括高效高级的数据结构,提供简单且高效的面向对象编程. Python 的学习过程少不了 IDE 或者代码编辑器,或者集成的开发编辑器(IDE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RoEnz.html" rel="bookmark" class="title">互联网身份&OpenCurlyDoubleQuote;悖论&rdquo;到底是怎么回事？</a>
					<div>
						如同腾讯.百度.新浪等国内科技公司已经经过的重重考验一样,有望成为有史以来最大规模IPO的阿里巴巴,正在遭受资本市场上的诸多审视. 近日,有媒体曝出消息称,阿里巴巴近期与中国兵器工业集团签订了协议,合 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRN24kM.html" rel="bookmark" class="title">唱衰之后：杨元庆如何把已拆开的&OpenCurlyDoubleQuote;王炸&rdquo;捡回来</a>
					<div>
						在斗地主游戏中,大王和小王合在一起出,可以大过场上的任何牌型,俗称&quot;王炸&quot;. 联想作为曾经&quot;中华酷联&quot;的翘楚,在2013年销售量是国产手机的NO.1,本来拥有一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7QkRrM.html" rel="bookmark" class="title">苹果市值达六千亿美元投资者豪赌新iPhone</a>
					<div>
						投资者&quot;豪赌&quot; 苹果市值破6000亿美元 创新高 财报显示本报讯 (记者 段郴群) 投资者对未来苹果公司的业绩收益预期越来越有信心.截至上周末,苹果公司股价收盘报收648.11美元 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkQ52z.html" rel="bookmark" class="title">基于mysql的论坛（6）&lowbar;php基础</a>
					<div>
						# post.php &lt;?php require(&quot;config.inc.php&quot;); $sql=&quot;select * from boardinfo where na ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1YL3b.html" rel="bookmark" class="title">多维分析展示平台Saiku安装配置教程</a>
					<div>
						Saiku成立于2008年,由Tom Barber和Paul Stoellberger研发.最初叫做Pentaho分析工具,起初是基于OLAP4J库用GWT包装的一个前端分析工具.经过多年的演化.重写 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmYamz.html" rel="bookmark" class="title">sql注入之必备的基础知识&lowbar;数据库其它</a>
					<div>
						什么是SQL注入(SQL Injection) 所谓SQL注入式攻击,就是攻击者把SQL命令插入到Web表单的输入域或页面请求的查询字符串,欺骗服务器执行恶意的SQL命令.在某些表单中,用户输入的内容 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWNJ8z.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;求本堂&rdquo;误导糖尿病患者</a>
					<div>
						&quot;不打针.不吃药&quot;.&quot;停服降糖药&quot;--这样的宣传对于所有糖尿病患者来说,都有着莫大的吸引力.但健康时报记者发现,位于北京SOHO现代城的&quot;求本堂健康机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx2Eamz.html" rel="bookmark" class="title">硕美科MH438全国同步上市</a>
					<div>
						硕美科便携HiFi耳机MH438自http://www.aliyun.com/zixun/aggregation/978.html&quot;&gt;曝光后,就一直收到各界音频好友要求试听的来信,日前 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
